# execution/order_executor.py

import sys
from pathlib import Path

# 현재 파일의 부모 디렉터리를 경로에 추가
sys.path.append(str(Path(__file__).resolve().parent.parent))

import requests
from config.settings import BASE_URL, API_KEY, API_SECRET, ACCESS_TOKEN
from config.token_manager import get_access_token

def place_order(stock_code, qty, price, side):
    if ACCESS_TOKEN is None:
        token = get_access_token()
    else:
        token = ACCESS_TOKEN
        
    url = f"{BASE_URL}/uapi/domestic-stock/v1/trading/order-cash"
    headers = {
        "Content-Type": "application/json",
        "authorization": f"Bearer {token}",
        "appKey": API_KEY,
        "appSecret": API_SECRET,
    }
    payload = {
        "CANO": "12345678",
        "ACNT_PRDT_CD": "01",
        "PDNO": stock_code,
        "ORD_DVSN": side,
        "ORD_QTY": qty,
        "ORD_UNPR": price,
        "CTAC_TLNO": "01012345678"
    }
    response = requests.post(url, headers=headers, json=payload)
    return response.json()

# Example usage
if __name__ == "__main__":
    stock_code = "005930"  # 삼성전자
    qty = 10
    price = "82000"
    side = "02"  # 매수
    result = place_order(stock_code, qty, price, side)
    print(result)
