# risk_management/risk_manager.py

import sys
from pathlib import Path

# 현재 파일의 부모 디렉터리를 경로에 추가
sys.path.append(str(Path(__file__).resolve().parent.parent))

import numpy as np
from config.settings import MAX_LOSS_LIMIT

def get_current_loss():
    # 현재 손실 계산 (예시용 임의 값)
    return np.random.randint(0, 2000)

def halt_trading():
    print("Trading halted due to exceeding max loss limit")

def alert_admin(message):
    print(f"ALERT: {message}")

def check_risk_limits(current_loss, max_loss):
    if current_loss > max_loss:
        halt_trading()
        alert_admin("Trading halted due to exceeding max loss limit")

def monitor_trading():
    while True:
        current_loss = get_current_loss()
        check_risk_limits(current_loss, MAX_LOSS_LIMIT)

# Example usage
if __name__ == "__main__":
    monitor_trading()
