# strategy/trading_strategy.py

import pandas as pd
import numpy as np

def moving_average_strategy(data, short_window=40, long_window=100):
    data['short_mavg'] = data['Close'].rolling(window=short_window, min_periods=1).mean()
    data['long_mavg'] = data['Close'].rolling(window=long_window, min_periods=1).mean()
    data['signal'] = 0
    data['signal'][short_window:] = np.where(data['short_mavg'][short_window:] > data['long_mavg'][short_window:], 1, 0)
    data['positions'] = data['signal'].diff()
    return data

# Example usage
if __name__ == "__main__":
    # Sample data
    data = pd.DataFrame({
        'Close': np.random.random(1000)
    })
    signals = moving_average_strategy(data)
    print(signals.head())
